﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;
using Telerik.WinControls.UI.Docking;

namespace _644515
{
    public partial class Form2 : Form
    {
        public Form2()
        {
            InitializeComponent();
            new Telerik.WinControls.RadControlSpy.RadControlSpyForm().Show();
            this.documentTabStrip1.TabStripElement.NewItemVisibility = Telerik.WinControls.UI.StripViewNewItemVisibility.End;

            //This makes ne NewItem look the same as the tabs. Comment this line to use the default appearance.
            this.documentTabStrip1.TabStripElement.NewItem.ThemeRole = "TabStripItem";

            this.documentTabStrip1.TabStripElement.NewItem.Click += new EventHandler(NewItem_Click);
            this.radDock1.DockWindowAdded += ChartingDockDockWindowAdded;
            this.radDock1.PageViewInstanceCreated += new PageViewInstanceCreatedEventHandler(radDock1_PageViewInstanceCreated);
        }

        void radDock1_PageViewInstanceCreated(object sender, PageViewInstanceCreatedEventArgs e)
        {
            RadPageViewStripElement strip = (RadPageViewStripElement)e.PageViewElement;
            strip.NewItemVisibility = StripViewNewItemVisibility.End;
            strip.NewItem.Click += new EventHandler(NewItem_Click);

            //This makes ne NewItem look the same as the tabs. Comment this line to use the default appearance.
            strip.NewItem.ThemeRole = "TabStripItem";
        }

        void NewItem_Click(object sender, EventArgs e)
        {
            AddTab();
        }

        private int count;
        private void AddTab()
        {
            AddTab("New Tab " + count++);
        }

        private void AddTab(string title)
        {
            RadLabel asd = new RadLabel();
            asd.Text = "label " + title;
            var f = new ToolWindow
            {
                Text = title,
            };
            f.Controls.Add(asd); 

            radDock1.SetWindowState(f, DockState.TabbedDocument);
        }

        static void ChartingDockDockWindowAdded(object sender, DockWindowEventArgs e)
        {
            var window = e.DockWindow as ToolWindow;
            if (window == null) return;

            DockTabStrip strip = e.DockWindow.DockTabStrip;
            if (strip != null)
            {
                var index = strip.Controls.Count - 1 ;
                if (index < 0) index = 0;
                strip.Controls.SetChildIndex(e.DockWindow, index);
            }
        }
    }
}
